<sqtm-core-customisable-dialog
  [titleKey]="
    'sqtm-core.administration-workspace.views.project.import.dialog.import-from-pivot-format-request.title'
  "
  [dialogId]="'import-from-pivot-format-dialog'"
>
  <sqtm-core-dialog-body>
    <div class="full-width full-height container">
      @if ($isLoading()) {
        <div class="flex-column">
          <span class="current-workspace-main-color message flex-row">
            {{
              'sqtm-core.administration-workspace.views.project.import.dialog.label.import-request-in-progress'
                | translate
            }}
          </span>
          <i
            class="current-workspace-main-color loading-icon flex-row m-t-20 m-auto"
            nz-icon
            nzType="loading"
            nzTheme="outline"
          ></i>
        </div>
      } @else if (!$isLoading() && !$displayErrorMessage()) {
        <span class="current-workspace-main-color message">
          {{
            'sqtm-core.administration-workspace.views.project.import.dialog.label.import-request-finished'
              | translate
          }}
        </span>
      } @else {
        <span class="sqtm-core-error-message message">
          {{ $errorMessage() | translate }}
        </span>
      }
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'close'"
      nz-button
      nzType="primary"
      [disabled]="!$allowClose()"
      (click)="handleClose()"
    >
      {{ 'sqtm-core.generic.label.close' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
